*{
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

body{
    font-family: 'arial';
}

/* header */

#header-inner-content{
    max-width: 1300px;
    margin-left: auto;
    margin-right: auto;
}

.navbar{
    background-color: #2c2c2c;
    padding: 1rem;
    position: sticky;
    top: 0;
    box-shadow: 10px 0px 10px #2c2c2c;
    z-index: 99;
}

.navbar>div{
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: relative;
}

.logo{
    color: rgb(8, 136, 57);
}

.logo span{
    color: white;
}

nav ul{
    display: flex;
    list-style: none;
    align-items: center;
    text-decoration: none;
}

.nav-icon-container{
    display: flex;
    align-items: center;
}

.nav-icon-container img{
    width: 30px;
    cursor: pointer;
}

.nav-icon-container img:first-child{
    margin-right: 1rem;
}

nav ul li{
    color: white;
    margin-right: 2rem;
    cursor: pointer;
    transition: 0.5s;
    list-style: none;
    text-decoration: none;
}

nav ul li:hover{
    transform: translateY(-5px);
    color: rgb(8, 136, 57);
}

.menu-button{
    display: none;
}

header{
    background-image: radial-gradient(#fff, #c7c7c7);
}

.header-bottom-side{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 1rem;
    gap: 5rem;
}

.header-bottom-side-left{
    height: 100%;
    flex-basis: 50%;
    gap: 3rem;
}

.header-bottom-side-left h2{
    font-size: 3.2rem;
    margin-bottom: 1.5rem;
}

.header-bottom-side-left p{
    line-height: 1.5rem;
    margin-bottom: 1.5rem;
}

.header-bottom-side-left button{
    background-color: rgb(8, 136, 57);
    border: none;
    cursor: pointer;
    padding: 1rem 4rem;
    border-radius: 9999px;
    color: white;
    font-weight: 500;
    font-size: 1.6rem;
    transition: 0.5s;
    margin-top: 3rem;
}

.header-bottom-side-left button:hover{
    background-color:  rgb(3, 78, 31);
    box-shadow: 0px 0px 10px rgb(3, 78, 31);
    transform: scale(1.05);
}

.header-bottom-side-right{
    flex-basis: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.header-bottom-side-right img{
    margin-top: 20px;
    width: 100%;
    margin-bottom: 60px;
    gap: 5rem;
}

.header-bottom-side-right img{
position: relative;
animation: flutuar 1s ease-in-out infinite alternate;
}

@keyframes flutuar{
0%{
    top: 0;
}
100%{
    top: 18px
}
}

/* resposividade  header*/
@media (max-width: 800px){
    .logo{
        font-size: 1.5rem;
    }

    .menu-button{
        display: block;
    }

    .header-bottom-side{
        flex-direction: column;
        text-align: center;
        padding-top: 4rem;
    }

    nav{
        position: absolute;
        background-color: #2c2c2c;
        width: 100%;
        top: 45px;
        display: none;
    }

    .show-menu nav{
        display: block;
    }

    nav ul{
        flex-direction: column;
    }

    nav ul li{
        text-align: center;
        padding: 0.8rem;
    }
}


/* main-content */

main{
    background-color: #ebebeb;
}

.gray-background{
    background-color: #2c2c2c;
}

.page-inner-content{
    max-width: 1280px;
    margin: 0 auto;
}

.cols{
    display: grid;
    justify-content: space-evenly;
    padding: 4rem 1rem;
}

.cols-3{
    grid-template-columns: repeat(3, 1fr);
    gap: 3rem;
}

.cols-3 img{
    border-radius: 20%;
    max-width: 100%;
}

.img-port{
    width: 360px;
    height: 460px;
    background-size: cover;
    background-position:  0% 0%;
    transition: 5s;
    cursor: pointer;
    border-radius: 40px;
    position: relative;
    margin-top: 30px;
}

.img-port:hover{
    background-position: 100% 0%;
    margin-top: 30px;
}

.overlay{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 40px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 24px;
    font-weight: 600;
    background-color: #000000c7;
    color: white;
    opacity: 0;
    transition: .5s;
}

.overlay:hover{
    opacity: 1;
}

.cols-4 img{
    border-radius: 20%;
    max-width: 100%;
    transition: all 0.25s;
}

.cols-4 img:hover {
    transform: scale(1.2);
    z-index: 1;
  }

.cols-4{
    grid-template-columns: repeat(4, 1fr);
    gap: 1rem;
}

.cols>*{
    cursor: pointer;
    transition: all 0.2s;
}

.cols>*:hover{
    transform: translateY(-5px);
}

#section-title{
    text-align: center;
    margin-top: 4rem;
    font-size: 1.8rem;
}

.subtitle-underline{
    width: 100px;
    height: 5px;
    background-color: rgb(3, 78, 31);
    border-radius: 9999px;
    margin: 8px auto 0 auto;
}

.product{
    color: #2c2c2c;
    margin: 1rem;
    display: flex;
    flex-direction: column;
}

.product-name{
    font-weight: 600;
    margin-top: 0.4rem;
}

.rate{
    color: rgb(3, 78, 31);
    font-size: 1.4rem;
}

.product-price span{
    font-weight: bold;
}

.exclusive-container{
    color: white;
    flex-direction: row-reverse;
    padding: 5rem 1rem;
}

.exclusive-container img{
    max-width: 500px;
}

/* Resposividade main */

@media (max-width: 800px){
    #section-title{
        font-size: 1rem;
    }

    .cols-3{
        grid-template-columns: repeat(1, 1fr);
        justify-content: center;
        align-items: center;    
    }

    .cols-4{
        grid-template-columns: repeat(2, 1fr);
    }
    
    .product-name, .product-price, .rate{
        max-height: 1rem;
        overflow: hidden;
        font-size: 0.8rem;
    }

    .exclusive-container{
        flex-direction: column-reverse;
    }

    .exclusive-container img{
        margin-bottom: 4rem;
    }

}

/* testimonials */

.testimonials{
    display: flex;
    padding: 4rem 1rem;
    justify-content: space-evenly;
}

.testimonial{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex-basis: 30%;
    text-align: center;
    box-shadow: 0 0 15px #afafaf;
    border-radius: 1rem;
    padding: 1rem;
    cursor: pointer;
    transition: all 0.2s;
}

.testimonial:hover{
    transform: translateY(-5px);
}

.testimonial p{
    margin: 5px 0;
}

.testimonial p:first-child{
    font-weight: bold;
    font-size: 5rem;
    color:  rgb(3, 78, 31);
    margin-top: 3rem;
    line-height: 2rem;
}

.testimonial p:last-child{
    font-size: bold;
}

/* responsive */
@media (max-width: 800px){
    .testimonials{
        flex-direction: column;
    }

    .testimonial{
        margin-bottom: 1.2rem;
    }
}

/* footer */

.footer-content{
    display: flex;
    align-items: center;
    color: #8f8f8f;
    padding: 4rem 1rem;
    gap: 5rem;
}

.download-options>*{
    margin: 1rem 0;
}

.download-options>p:first-child{
    font-weight: bold;
    color: #fff;
}

.download-options>div{
    display: flex;
}

.download-options>div img{
    width: 180px;
}

.logo-footer{
    text-align: center;
}

.links-footer h3{
    color: #fff;
    margin-bottom: 0.8rem;
}

.links-footer ul{
    list-style: none;
}

.links-footer ul li{
    margin-bottom: 0.5rem;
    cursor: pointer;
    transition: all 0.5s;
}

.links-footer ul li:hover{
    transform: translateY(-5px);
    color: rgb(8, 136, 57);
}

.copyright{
    color: white;
    padding: 2rem 0;
    text-align: center;
}

/* Responsive */
@media (max-width: 800px){
    .footer-content{
        display: inline;
        font-size: 0.8rem;
    }

    .footer-content>div{
        padding: 1rem;
    }

    .download-options>div{
        display: inline;
    }

    .download-options>div img{
        width: 120px;
    }

    .copyright{
        font-size: 0.8rem;
    }
}